# Method: projects.locations.zones.networks.diagnose

- [HTTP request](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.networks/diagnose#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.networks/diagnose#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.networks/diagnose#body.request_body)
- [Response body](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.networks/diagnose#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.networks/diagnose#body.DiagnoseNetworkResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.networks/diagnose#body.aspect)
- [NetworkStatus](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.networks/diagnose#NetworkStatus)
  - [JSON representation](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.networks/diagnose#NetworkStatus.SCHEMA_REPRESENTATION)
- [SubnetStatus](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.networks/diagnose#SubnetStatus)
  - [JSON representation](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.networks/diagnose#SubnetStatus.SCHEMA_REPRESENTATION)
- [Try it!](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.networks/diagnose#try-it)

Get the diagnostics of a single network resource.

### HTTP request

`GET https://edgenetwork.googleapis.com/v1/{name=projects/*/locations/*/zones/*/networks/*}:diagnose`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the network resource. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
DiagnoseNetworkResponse contains the current status for a specific network.

| JSON representation |
|---|
| ``` { "updateTime": string, "result": { object (`https://docs.cloud.google.com/distributed-cloud/edge/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.networks/diagnose#NetworkStatus`) } } ``` |

| Fields ||
|---|---|
| `updateTime` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.Timestamp` format)`` The time when the network status was last updated. A timestamp in RFC3339 UTC "Zulu" format, with nanosecond resolution and up to nine fractional digits. Examples: `"2014-10-02T15:01:23Z"` and `"2014-10-02T15:01:23.045123456Z"`. |
| `result` | ``object (`https://docs.cloud.google.com/distributed-cloud/edge/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.networks/diagnose#NetworkStatus`)`` The network status of a specific network. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

## NetworkStatus

NetworkStatus has a list of status for the subnets under the current network.

| JSON representation |
|---|
| ``` { "subnetStatus": [ { object (`https://docs.cloud.google.com/distributed-cloud/edge/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.networks/diagnose#SubnetStatus`) } ] } ``` |

| Fields ||
|---|---|
| `subnetStatus[]` | ``object (`https://docs.cloud.google.com/distributed-cloud/edge/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.networks/diagnose#SubnetStatus`)`` A list of status for the subnets under the current network. |

## SubnetStatus

SubnetStatus contains detailed and current technical information about this subnet resource.

| JSON representation |
|---|
| ``` { "name": string, "macAddress": string, "linkLayerAddresses": [ { object (`https://docs.cloud.google.com/distributed-cloud/edge/1.5.1/docs/reference/network/rest/v1/LinkLayerAddress`) } ] } ``` |

| Fields ||
|---|---|
| `name` | `string` The name of CCFE subnet resource. |
| `macAddress` | `string` BVI MAC address. |
| `linkLayerAddresses[]` | ``object (`https://docs.cloud.google.com/distributed-cloud/edge/1.5.1/docs/reference/network/rest/v1/LinkLayerAddress`)`` A list of LinkLayerAddress, describing the ip address and corresponding link-layer address of the neighbors for this subnet. |